DPDK CI discussions
 help / color / mirror / Atom feed
From: "Wei, FangfangX" <fangfangx.wei@intel.com>
To: Thomas Monjalon <thomas.monjalon@6wind.com>
Cc: "ci@dpdk.org" <ci@dpdk.org>, "Xu, Qian Q" <qian.q.xu@intel.com>,
	"Liu, Yong" <yong.liu@intel.com>
Subject: Re: [dpdk-ci] [PATCH v4 7/7] tests: add checkpatch
Date: Tue, 6 Dec 2016 06:34:45 +0000	[thread overview]
Message-ID: <067B569323FEB248B5CB480E1954F4346BE93510@SHSMSX101.ccr.corp.intel.com> (raw)
In-Reply-To: <1480944373-10233-8-git-send-email-thomas.monjalon@6wind.com>


[-- Attachment #1.1: Type: text/plain, Size: 6068 bytes --]

Hi Thomas,



Here are some questiones about your scripts:

1. With the script "send-patch-report.sh", Can I send my perpatch build results to patchwork as checkpatch result in patchwork?

Such as, generate the GUI as blow:

[cid:image001.png@01D24FCC.01E4A4D0]

2. Must I create /etc/dpdk/ci.config before using your scripts?

   Because when I run it, it prompted following error message:

   /root/dpdk-cii/tools/load-ci-config.sh: line 5: /etc/dpdk/ci.config: No such file or directory

   /root/dpdk-cii/tools/load-ci-config.sh: line 6: /etc/dpdk/ci.config: No such file or directory



3. Some confuse about the parameters in "send-patch-report.sh":

           options:

                -t title    subject of the patch email

                -f from     sender of the patch email

                -m msgid    id of the patch email

                -p listid   mailing list publishing the patch

                -l label    title of the test

                -s status   one of these test results: SUCCESS, WARNING, FAILURE

                -d desc     few words to better describe the status



For example, about patch http://www.dpdk.org/dev/patchwork/patch/17673/

-t title    subject of the patch email

   Is it "[dpdk-dev,2/8] drivers/common/dpaa2: Sample descriptors for NXP DPAA2 SEC operations."?

-f from     sender of the patch email

   Is it the author who send the patch? In patch 17673, is it akhil.goyal@nxp.com<mailto:akhil.goyal@nxp.com>?

-m msgid    id of the patch email

   Is it the message-id of this patch? In patch 17673, is it 20161205125540.6419-3-akhil.goyal@nxp.com<mailto:20161205125540.6419-3-akhil.goyal@nxp.com>?

-p listid   mailing list publishing the patch

   Is it the receiver about this patch? In patch 17673, is it dev@dpdk.org<mailto:dev@dpdk.org>?



I try to send my result with script "send-patch-report.sh" with below command, but nothing happened.

echo "$report" | /root/dpdk-cii/tools/send-patch-report.sh -t "[dpdk-dev,2/8] drivers/common/dpaa2: Sample descriptors for NXP DPAA2 SEC operations." -f "akhil.goyal@nxp.com" -m "20161205125540.6419-3-akhil.goyal@nxp.com" -p "dev@dpdk.org" -l "Intel Per-patch compilation check" -s "SUCCESS" -d "Compilation OK"





Best Regards

Fangfang





-----Original Message-----
From: ci [mailto:ci-bounces@dpdk.org] On Behalf Of Thomas Monjalon
Sent: Monday, December 5, 2016 9:26 PM
To: ci@dpdk.org
Subject: [dpdk-ci] [PATCH v4 7/7] tests: add checkpatch



This is the first test in this repository.

It runs on dpdk.org and use checkpatch.pl of Linux.



Note that the patch is not applied on a git tree for this basic test.



Signed-off-by: Thomas Monjalon <thomas.monjalon@6wind.com<mailto:thomas.monjalon@6wind.com>>

---

tests/checkpatch.sh | 70 +++++++++++++++++++++++++++++++++++++++++++++++++++++

1 file changed, 70 insertions(+)

create mode 100755 tests/checkpatch.sh



diff --git a/tests/checkpatch.sh b/tests/checkpatch.sh new file mode 100755 index 0000000..319da1e

--- /dev/null

+++ b/tests/checkpatch.sh

@@ -0,0 +1,70 @@

+#! /bin/sh -e

+

+# BSD LICENSE

+#

+# Copyright 2016 6WIND S.A.

+#

+# Redistribution and use in source and binary forms, with or without #

+modification, are permitted provided that the following conditions #

+are met:

+#

+#   * Redistributions of source code must retain the above copyright

+#     notice, this list of conditions and the following disclaimer.

+#   * Redistributions in binary form must reproduce the above copyright

+#     notice, this list of conditions and the following disclaimer in

+#     the documentation and/or other materials provided with the

+#     distribution.

+#   * Neither the name of 6WIND S.A. nor the names of its

+#     contributors may be used to endorse or promote products derived

+#     from this software without specific prior written permission.

+#

+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS #

+"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT #

+LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR #

+A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT #

+OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, #

+SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT #

+LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, #

+DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY #

+THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT #

+(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE #

+OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

+

+print_usage () {

+    cat <<- END_OF_HELP

+    usage: $(basename $0) dpdk_dir < email

+

+    Check email-formatted patch from stdin.

+    This test runs checkpatch.pl of Linux via a script in dpdk_dir.

+    END_OF_HELP

+}

+

+while getopts h arg ; do

+    case $arg in

+          h ) print_usage ; exit 0 ;;

+          ? ) print_usage >&2 ; exit 1 ;;

+    esac

+done

+shift $(($OPTIND - 1))

+toolsdir=$(dirname $(readlink -m $0))/../tools

+dpdkdir=$1

+

+email=/tmp/$(basename $0 sh)$$

+$toolsdir/filter-patch-email.sh >$email trap "rm -f $email" INT EXIT

+

+eval $($toolsdir/parse-email.sh $email) # normal exit if no valid patch

+in the email [ -n "$subject" -a -n "$from" ] || exit 0

+

+failed=false

+report=$($dpdkdir/scripts/checkpatches.sh -q $email) || failed=true

+report=$(echo "$report" | sed '1,/^###/d')

+

+label='checkpatch'

+$failed && status='WARNING' || status='SUCCESS'

+$failed && desc='coding style issues' || desc='coding style OK'

+

+echo "$report" | $toolsdir/send-patch-report.sh \

+    -t "$subject" -f "$from" -m "$msgid" -p "$listid" \

+    -l "$label" -s "$status" -d "$desc"

--

2.7.0



[-- Attachment #1.2: Type: text/html, Size: 15482 bytes --]

[-- Attachment #2: image001.png --]
[-- Type: image/png, Size: 7765 bytes --]

  reply	other threads:[~2016-12-06  6:34 UTC|newest]

Thread overview: 64+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-25 17:02 [dpdk-ci] [PATCH 0/7] first scripts for CI integration Thomas Monjalon
2016-11-25 17:02 ` [dpdk-ci] [PATCH 1/7] tools: add mail filter Thomas Monjalon
2016-11-25 17:02 ` [dpdk-ci] [PATCH 2/7] tools: add mail parser Thomas Monjalon
2016-11-25 17:02 ` [dpdk-ci] [PATCH 3/7] config: add loader and template Thomas Monjalon
2016-11-25 17:02 ` [dpdk-ci] [PATCH 4/7] tools: add patchwork client Thomas Monjalon
2016-11-25 17:02 ` [dpdk-ci] [PATCH 5/7] tools: add per-patch report mailer Thomas Monjalon
2016-11-25 17:02 ` [dpdk-ci] [PATCH 6/7] tools: add patchwork integration Thomas Monjalon
2016-11-25 17:02 ` [dpdk-ci] [PATCH 7/7] tests: add checkpatch Thomas Monjalon
2016-12-01 13:44 ` [dpdk-ci] [PATCH v2 0/7] first scripts for CI integration Thomas Monjalon
2016-12-01 13:44   ` [dpdk-ci] [PATCH v2 1/7] tools: add mail filter Thomas Monjalon
2016-12-01 13:44   ` [dpdk-ci] [PATCH v2 2/7] tools: add mail parser Thomas Monjalon
2016-12-01 13:44   ` [dpdk-ci] [PATCH v2 3/7] config: add loader and template Thomas Monjalon
2016-12-01 13:44   ` [dpdk-ci] [PATCH v2 4/7] tools: add patchwork client Thomas Monjalon
2016-12-01 13:44   ` [dpdk-ci] [PATCH v2 5/7] tools: add per-patch report mailer Thomas Monjalon
2016-12-01 13:44   ` [dpdk-ci] [PATCH v2 6/7] tools: add patchwork integration Thomas Monjalon
2016-12-01 13:44   ` [dpdk-ci] [PATCH v2 7/7] tests: add checkpatch Thomas Monjalon
2016-12-01 16:58   ` [dpdk-ci] [PATCH v3 0/7] first scripts for CI integration Thomas Monjalon
2016-12-01 16:58     ` [dpdk-ci] [PATCH v3 1/7] tools: add mail filter Thomas Monjalon
2016-12-01 16:58     ` [dpdk-ci] [PATCH v3 2/7] tools: add mail parser Thomas Monjalon
2016-12-01 16:58     ` [dpdk-ci] [PATCH v3 3/7] config: add loader and template Thomas Monjalon
2016-12-01 16:58     ` [dpdk-ci] [PATCH v3 4/7] tools: add patchwork client Thomas Monjalon
2016-12-01 16:58     ` [dpdk-ci] [PATCH v3 5/7] tools: add per-patch report mailer Thomas Monjalon
2016-12-01 16:59     ` [dpdk-ci] [PATCH v3 6/7] tools: add patchwork integration Thomas Monjalon
2016-12-01 16:59     ` [dpdk-ci] [PATCH v3 7/7] tests: add checkpatch Thomas Monjalon
2016-12-05 13:26   ` [dpdk-ci] [PATCH v4 0/7] first scripts for CI integration Thomas Monjalon
2016-12-05 13:26     ` [dpdk-ci] [PATCH v4 1/7] tools: add mail filter Thomas Monjalon
2016-12-05 13:26     ` [dpdk-ci] [PATCH v4 2/7] tools: add mail parser Thomas Monjalon
2016-12-05 13:26     ` [dpdk-ci] [PATCH v4 3/7] config: add loader and template Thomas Monjalon
2016-12-05 13:26     ` [dpdk-ci] [PATCH v4 4/7] tools: add patchwork client Thomas Monjalon
2016-12-05 13:26     ` [dpdk-ci] [PATCH v4 5/7] tools: add per-patch report mailer Thomas Monjalon
2016-12-05 13:26     ` [dpdk-ci] [PATCH v4 6/7] tools: add patchwork integration Thomas Monjalon
2016-12-05 13:26     ` [dpdk-ci] [PATCH v4 7/7] tests: add checkpatch Thomas Monjalon
2016-12-06  6:34       ` Wei, FangfangX [this message]
2016-12-06  8:40         ` Thomas Monjalon
2016-12-06  9:04           ` Wei, FangfangX
2016-12-07  5:48           ` Wei, FangfangX
2016-12-07  9:32             ` Thomas Monjalon
2016-12-08  9:02               ` Wei, FangfangX
2016-12-08 13:11                 ` Thomas Monjalon
2016-12-09  8:51                   ` Wei, FangfangX
2016-12-09  9:16                     ` Thomas Monjalon
2016-12-09 10:07                       ` Mcnamara, John
2016-12-09 10:11                         ` Thomas Monjalon
2016-12-09 12:11                           ` Mcnamara, John
2016-12-12  9:27                       ` Wei, FangfangX
2016-12-12  9:34                         ` Wei, FangfangX
2016-12-12  9:58                           ` Thomas Monjalon
2016-12-13  8:29                             ` Wei, FangfangX
2016-12-13  8:49                               ` Thomas Monjalon
2016-12-13  9:24                                 ` Wei, FangfangX
2016-12-21 11:45                                   ` Thomas Monjalon
2016-12-12  9:39                         ` Thomas Monjalon
2016-12-13  8:22                           ` Wei, FangfangX
2016-12-14 23:05     ` [dpdk-ci] [PATCH v5 0/9] first scripts for CI integration Thomas Monjalon
2016-12-14 23:05       ` [dpdk-ci] [PATCH v5 1/9] tools: add mail filter Thomas Monjalon
2016-12-14 23:05       ` [dpdk-ci] [PATCH v5 2/9] tools: add mail parser Thomas Monjalon
2016-12-14 23:05       ` [dpdk-ci] [PATCH v5 3/9] config: add loader and template Thomas Monjalon
2016-12-14 23:05       ` [dpdk-ci] [PATCH v5 4/9] tools: add patchwork client Thomas Monjalon
2016-12-14 23:05       ` [dpdk-ci] [PATCH v5 5/9] tools: fix pwclient for proxy and python 3 Thomas Monjalon
2016-12-14 23:05       ` [dpdk-ci] [PATCH v5 6/9] tools: add patch mail download Thomas Monjalon
2016-12-14 23:05       ` [dpdk-ci] [PATCH v5 7/9] tools: add per-patch report mailer Thomas Monjalon
2016-12-14 23:05       ` [dpdk-ci] [PATCH v5 8/9] tools: add patchwork integration Thomas Monjalon
2016-12-14 23:05       ` [dpdk-ci] [PATCH v5 9/9] tests: add checkpatch Thomas Monjalon
2016-12-21 11:46       ` [dpdk-ci] [PATCH v5 0/9] first scripts for CI integration Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=067B569323FEB248B5CB480E1954F4346BE93510@SHSMSX101.ccr.corp.intel.com \
    --to=fangfangx.wei@intel.com \
    --cc=ci@dpdk.org \
    --cc=qian.q.xu@intel.com \
    --cc=thomas.monjalon@6wind.com \
    --cc=yong.liu@intel.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).